package com.ruoyi.controller;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.domain.dto.FyglProjectCostDTO;
import com.ruoyi.service.IFyglProjectCostService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


//项目费用申请
@RestController
@RequestMapping("/projectCostRequest")
public class FyglProjectCostRequest extends BaseController {

    @Autowired
    private IFyglProjectCostService costService;


    @GetMapping("/list")
    public TableDataInfo getProjectCostList(FyglProjectCostDTO fyglProjectCostDTO){
        startPage();
       return getDataTable(costService.getList(fyglProjectCostDTO));
    }

    @GetMapping("/{id}")
    public AjaxResult getProjectCostList(@PathVariable("id") Integer id){
        return AjaxResult.success(costService.getDetail(id));
    }
}
